Subject: Re: bug#15688: 24.3.50; clear-temporary-overlay-map

From: Stefan Monnier <[email-masked]>
Date: Thu, 23 Jan 2014 22:28:39 -0500

> It was mark_object called from mark_vectorlike called from mark_object
> called from mark_object (marking that symbol).  I could not see why it
> was marking that symbol.  ISTR it was called from mark_memory
> and I didn't know how to see where the pointer came from.

Please tell us exactly what value is used for GC_MARK_STACK; as Eli said:

   It's a macro set in src/lisp.h.  You can check it with #warning or
   some such

This said, since you have mark_memory in your backtrace, that indicates
that GC_MARK_STACK is probably set to GC_MAKE_GCPROS_NOOPS, as usual.

Maybe complete backtrace would help, tho.
Also, it'd be useful to know what were the last few keys (the "lossage").

        Stefan